
Redmine - Feature #4864

Global statistics about Redmine usage

2010-02-17 15:14 - Matteo Calorio

Status: New Start date: 2010-02-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin Request Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Some global statistics (maybe even graphs) about Redmine usage would be nice, such as:

total number of issues, open, closed...

total number of documents, size...

total number of wiki pages...

number of users (by the way: another useful feature for a project manager would be to send a mail to all users of a project and

for an administrator to all users of redmine, to warn about a server upgrade, shutdown... for example)

Just some ideas to make a project (Redmine) I like even better! :-)

(Redmine 0.9.0 on Debian 5.0.3)

Related issues:

Related to Redmine - Feature #2181: Display more statistics about a user on t... New 2008-11-13

Related to Redmine - Feature #592: User Wiki Page New

Related to Redmine - Feature #8223: Email all users New 2011-04-21

History

#1 - 2010-02-17 15:21 - Alain V.

I like this feature too.. :o)

#2 - 2010-02-17 19:05 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Stats to Global statistics about Redmine usage

#3 - 2010-02-19 07:06 - Eric Davis

- Category changed from Administration to Plugin Request

I was thinking about building this a few weeks ago since I already have most of the code in another plugin.  I think it should be built as a plugin first

and then we can add it to the core if it's used a lot.

by the way: another useful feature for a project manager would be to send a mail to all users of a project and for an administrator to all users of

redmine, to warn about a server upgrade, shutdown... for example)

 You can use my System Notification Plugin for that.

#4 - 2010-02-19 12:44 - Matteo Calorio

Thanks| I tried to install the plugin, but it doesn't work for me:

I can see it into the plugin list as "Redmine System Notification plugin V.0.2.0", but if I try to enter into "System Notifications" in the "Administration"

section I get:

"Page not found. The page you were trying to access doesn't exist or has been removed."

Maybe we have to open another issue to talk about this?

Bye,

Matteo
https://www.redmine.org/projects/redmine/wiki/PluginSystemNotification


#5 - 2011-10-06 07:15 - William Van Hevelingen

Any update on this feature request? Usage statistics would be awesome because it will help justify the use of redmine and allow us to identify legacy

pages.

A way to list unlinked wiki pages would be nice too.

#6 - 2011-11-10 09:45 - Matthias Lohr

+1

#7 - 2012-11-01 17:47 - Fernando Hartmann

+1

#8 - 2012-11-02 12:04 - Daniel Felix

I added some relations. I think those two tickets (#4864 and #2181) would complement each other greatly.

#9 - 2013-09-13 14:46 - Konstantin Ashaev

+1

#10 - 2014-10-29 16:29 - TridenT Job

Upvote. +1

#11 - 2014-11-28 05:56 - Toshi MARUYAMA

- Description updated

#12 - 2015-02-05 11:49 - Denis Savitskiy

Any progress?

#13 - 2015-03-05 05:04 - Toshi MARUYAMA

- Related to Feature #8223: Email all users added

#14 - 2016-04-22 01:14 - Alexander Lyzhenkov

+1

#15 - 2016-07-09 10:03 - [ Desperados ]

+1

or simply use and update this: https://github.com/luisfontes19/redmine_stats/

#16 - 2016-07-13 13:44 - Frederic Cand

Is this plugin available for redmine 3.0.7 ?

#17 - 2022-12-12 08:37 - Jan K.

+1
